Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Profit calculation

POST
/compute/orgs/{org_id}/geostatistics/profit-calculation

Calculate profit given block model and economic parameters

Request

Path parameters

The organisation identifier

Body parameters

Examples: {"key":"value"}, {"another_key":123}

The source object and attribute containing known values.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

The location of a regular or masked 3D grid with known values. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Example: "cell_attributes[?attribute_type=='ensemble_continuous']"

The original values, used to calculate grade categories.

Examples: {"key":"value"}, {"another_key":123}

The target object and attribute to create or update with grade calculation results.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

Object to evaluate onto. Can be the same as the source object. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Examples: {"name":"grade-category","operation":"create"}, {"name":"existing-grade-category","operation":"update"}

Name of the attribute to create or update on the target object.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

List of material categories, sorted from lowest to highest cutoff grade

Examples: 0.16, 0.5, 0.9

The cutoff grade

Examples: 134.23, 245.12, 9876.34

The metal price

Examples: "ore", "waste"

Default: "waste"

The category label

Examples: 16.15, 37.39, 91.85, 92.24, 95.35

Processing cost per unit of material

Examples: 11.19, 36.3, 48.86, 59.89, 98.53

Mining cost per unit of waste material

Examples: 7.88, 23.95, 24.09, 56.74, 80.68

Mining cost per unit of ore material

Examples: 0.126, 0.533, 0.732, 0.816, 0.978

Fraction of metal expected to be recovered during processing

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"material_categories": [
{
"cutoff_grade": 0,
"metal_price": 0,
"label": "waste"
}
],
"processing_cost": 0,
"mining_waste_cost": 0,
"mining_ore_cost": 0,
"metal_recovery_fraction": 0
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "Success", "Failed"

Description of the result

The target that was created or updated.

Reference to a geoscience object. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the material category results from the grade calculation.

Reference to the attribute in the geoscience object.

The name of the output attribute.

{
"message": "string"
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?